## module-assistant 0.11.1ubuntu1

=== po/Makefile ===
# For example, POFILES = ja.po fr.po pt_PR.po & MOFILES = ja.mo fr.mo pt_PR.mo
POFILES = cs.po de.po es.po eu.po fr.po ja.po pt_BR.po ru.po sv.po
MOFILES = cs.mo de.mo es.mo eu.mo fr.mo ja.mo pt_BR.mo ru.mo sv.mo
localedir=/usr/share/locale
.SUFFIXES: .po .mo

all: $(MOFILES)
messages.pot: ../module-assistant
	xgettext -L perl ../module-assistant -o $@
.po.mo:
	msgfmt $*.po -o $@
$(POFILES): messages.pot
	msgmerge -U $@ messages.pot
clean: $(POFILES)
	rm -f *~ *.mo
install: $(MOFILES)
	langs=`ls *.mo | sed -e 's/\.mo$$//'`; \
	for lang in $$langs; do \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  install -d $(DESTDIR)$$dir; \
	  install -m 644 $$lang.mo $(DESTDIR)$$dir/module-assistant.mo; \
	done

.PHONY: $(POFILES)

=== debian/changelog ===
module-assistant (0.11.1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #311100
    - fglrx-kernel-src -> fglrx-kernel-source.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Thu, 11 Jun 2009 12:33:16 +0530

module-assistant (0.11.1) unstable; urgency=low

  * New maintenance release.
  * Switch to debhelper 7.
  * debian/changelog:
     - Clean it up.
  * debian/control:
     - Drop ${shlibs:Depends}, add ${misc:Depends}.
     - Bump Standards-Version to 3.8.1 (no changes needed).
     - Add pointers to the git repository on alioth.
  * debian/copyright:
     - Fix upstream source URL.
     - Switch to the proposed copyright format.
  * debian/rules:
     - Delete commented lines in rules file.
     - Remove unused CFLAGS and INSTALL_PROGRAM.
     - Remove unused configure* things.
     - Stop ignoring $(MAKE) clean errors.
     - Rephrase the $(MAKE) -C po call.
     - Move templates tarball generation to build-stamp.
     - Stop setting SHELL to bash.
     - Stop deleting .svn files, there's none.
     - Remove -Xvar/cache/modass from dh_fixperms (useless).
     - Implement source-package target.
     - Add a prepare-changelog target.
     - Add a pristine-tar-commit target.
     - Set LANG=C.
  * debian/README.source:
     - Add it to document extra targets.
  * debian/* (debhelper) files:
     - Use examples, dirs, install, links, and manpages files.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 20 Apr 2009 01:41:54 +0200

module-assistant (0.11.0) unstable; urgency=low

  * New bugfix release.
  * Add myself to Uploaders with Eduard's ACK.
  * Fix typo resulting in “apt-get-y: command not found”, thanks to Pedro
    Gimeno (Closes: #482638, #507355).
  * Update compliant.list:
     - Remove nvidia-kernel-legacy-source (only in oldstable).
     - Remove zd1211-source (only in oldstable), thanks to Luca Bruno
       (Closes: #494014).
     - Add acerhk-source (Closes: #478050).
     - Add nvidia-kernel-legacy-{71xx,96xx}-source (Closes: #423624).
     - Add virtualbox-ose-source (Closes: #508594).
  * Fix broken references to RATIONALE file, formerly renamed to README,
    thanks to Jö Fahlke (Closes: #410577).
  * Fix broken references to nvidia (it is now nvidia-kernel) in the
    manpage, thanks to Hamish Moffatt (Closes: #416019).
  * Include Basque translation, by Piarres Beobide (Closes: #461356).
  * Mention “m-a” in the long description, as suggested by Franklin Piat
    (Closes: #475384).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 24 Mar 2009 22:00:03 +0100

=== debian/control ===
Source: module-assistant
Section: misc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 7), bzip2, gettext
Standards-Version: 3.8.1
Vcs-Git: git://git.debian.org/git/collab-maint/module-assistant.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/module-assistant.git

Package: module-assistant
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libtext-wrapi18n-perl
Recommends: liblocale-gettext-perl
Suggests: build-essential, dialog | whiptail
Description: tool to make module package creation easier
 The module-assistant tool (also known as m-a) helps users and
 maintainers with managing external kernel modules packaged for
 Debian. It can do:
 .
  - automated preparation of build environment for modules compilation
    (eg. automatical detection and installation of required kernel
    source/headers)
  - automated module source downloads
  - configuring and keeping track of external and localy built modules
    packages
  - semi-automated multiple builds for multiple kernel versions
 .
 It also contains some framework to be used by the build-scripts in the
 accompanying modules-source packages in Debian.

=== debian/rules ===
#!/usr/bin/make -f


# Make sure not to generate manpages with a non-C locale date format:
export LANG=C


prepare-changelog: LAST=$(shell git describe | sed 's/-.*//')
prepare-changelog: BRANCH=$(shell git branch | grep '^*' | awk '{print $$2}')
prepare-changelog:
	# Make sure git-buildpackage is installed (ensures git-core is, too):
	@if [ -z "$(shell which git-dch)" ] ; then \
		echo "E: git-buildpackage isn't installed, needed for this target." ; \
		exit 1 ; \
	fi

	# Determine last tag:
	git dch --debian-branch=$(BRANCH) --since=$(LAST)


source-package: PACKAGE=module-assistant
source-package: VERSION=$(shell dpkg-parsechangelog | grep ^Version: | awk '{print $$2}')
source-package:
	# Make sure git-core is installed:
	@if [ -z "$(shell which git)" ] ; then \
		echo "E: git-core isn't installed, needed for this target." ; \
		exit 1 ; \
	fi

	# Generate the tarball with an appropriate prefix:
	git archive --prefix=$(PACKAGE)-$(VERSION)/ HEAD | gzip -9 \
		> ../$(PACKAGE)_$(VERSION).tar.gz ; echo $$?

	# Extract it, build the source package, clean afterwards
	# (also clean before, there might be something already):
	cd .. && \
		rm -rf $(PACKAGE)-$(VERSION) && \
		tar xfz $(PACKAGE)_$(VERSION).tar.gz && \
		cd $(PACKAGE)-$(VERSION) && \
		debuild -us -uc -S && \
		cd .. && \
		rm -rf $(PACKAGE)-$(VERSION)


pristine-tar-commit: PACKAGE=module-assistant
pristine-tar-commit: VERSION=$(shell dpkg-parsechangelog | grep ^Version: | awk '{print $$2}')
pristine-tar-commit: TARBALL=../$(PACKAGE)_$(VERSION).tar.gz
pristine-tar-commit: BRANCH=$(shell git branch | grep '^*' | awk '{print $$2}')
pristine-tar-commit:
	# Make sure pristine-tar is installed:
	@if [ -z "$(shell which pristine-tar)" ] ; then \
		echo "E: pristine-tar isn't installed, needed for this target." ; \
		exit 1 ; \
	fi

	# Make sure the tarball exists:
	@if [ ! -f $(TARBALL) ] ; then \
		echo "E: $(TARBALL) tarball is missing." ; \
		echo "I: Need to use the 'source-package' target first?" ; \
		exit 1 ; \
	fi

	# Commit the tarball:
	pristine-tar commit $(TARBALL) $(VERSION)


build: build-stamp
build-stamp:
	dh build

	# Build the templates tarball:
	tar cfj templates-debian-dir.tar.bz2 templates

	# Build the translations:
	$(MAKE) -C po

	touch build-stamp


clean:
	dh clean

	# Clean the tarball:
	rm -rf templates-debian-dir.tar.bz2

	# Clean the translations:
	$(MAKE) -C po clean


install: build install-stamp
install-stamp:
	# Skip auto-installing (kind of buggy toplevel Makefile):
	dh install --before dh_auto_install
	dh install --after  dh_auto_install

	# Changelog trick:
	dpkg-parsechangelog >> debian/module-assistant/usr/bin/module-assistant

	# Install translations:
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/module-assistant

	touch install-stamp


binary-arch: install
	dh binary-arch


binary-indep: install
	dh binary-indep


binary: binary-arch binary-indep

=== templates/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) unionctl uniondbg LINUXSRC=/usr/include
	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i usr/src/modules/someproject/debian
	dh_installdirs -a usr/sbin

	$(MAKE) installbins PREFIX=debian/someproject-utils/usr
	tar -v -c --exclude ".svn" --exclude "CVS" --exclude "debian" . | tar x -C debian/someproject-source/usr/src/modules/someproject
	cp -a debian/compat debian/*modules.in debian/rules debian/copyright debian/changelog debian/someproject-source/usr/src/modules/someproject/debian
	cd debian/someproject-source/usr/src && tar c modules | bzip2 -9 > someproject.tar.bz2 && rm -rf modules

	dh_install

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs ChangeLog -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -s
	dh_testroot -s
	dh_installdocs -s
	dh_installchangelogs ChangeLog -s
	dh_strip -s
	dh_link -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

# module-assistant stuff
PACKAGE = someproject-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

kdist_clean: prep-deb-files
	dh_clean
	$(MAKE) clean

kdist_config: prep-deb-files
binary-modules: kdist_config
	dh_testdir
	dh_testroot
	dh_clean -k
# build and install the module
	$(MAKE) KVERS=$(KVERS) LINUXSRC=$(KSRC) MODPREFIX=$(CURDIR)/debian/$(PKGNAME)/ installmod
	dh_installdocs 
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_installmodules
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure binary-modules kdist kdist_config kdist_image kdist_clean

## module-assistant 0.11.2ubuntu1

=== debian/changelog ===
module-assistant (0.11.2ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #509146). Remaining changes:
    - fglrx-kernel-src -> fglrx-kernel-source.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Mon, 18 Jan 2010 19:15:43 +0530

module-assistant (0.11.2) unstable; urgency=low

  * New maintenance release.
  * Improve upstream build system:
     - Tweak toplevel Makefile a bit.
     - Fix install target.
     - Replace $(prefix) with $(DESTDIR) in toplevel Makefile.
     - Adapt packaging now that toplevel Makefile is fixed.
     - Use wildcards to list *.po files.
     - Remove $(POFILES) from .PHONY line.
     - Improve po/Makefile to only rebuild when needed.
     - Use a $(LANGS) variable.
     - Kill various whitespaces.
     - Remove useless TODO directory.
     - Add --statistics to the msgfmt call to monitor the status of
       translations.
     - Chain “make -C po all” from “make all”.
     - Accordingly: No longer need to build and clean the translations
       from debian/rules.
  * Improve upstream documentation:
     - Adjust all half-closed tags.
     - Harmonize tags: use all-lowercase.
     - Fix how SEE ALSO looks.
     - Generate index.html in the doc target.
     - Install index.html under /usr/share/doc/module-assistant.
     - Since both index.html and module-assistant.8 are generated, remove
       them from versioning and remove them in the clean target.
     - Replace kernel-headers with linux-headers everywhere.
  * Improve Debian packaging:
     - Add a Depends: on bzip2 (Closes: #443912, #443769). One could
       hesitate a bit between Recommends and Depends but well, bzip2 isn't
       a huge package, and a majority of modules is shipped through bzip2
       tarballs, so let's make it mandatory.
     - Fix dh_installdeb/dh_installmodules order in templates. Thanks to
       John Wright for both the bug and the patch (Closes: #463488).
     - Switch section from misc to kernel, as agreed with ftpmasters.
     - Tweak prepare-changelog target to support overriding $(LAST).
     - Remove the useless dpkg-parsechangelog trick.
     - Add docbook-utils to Build-Depends for docbook2man.
     - Set LC_ALL=C in debian/rules, rather than LANG=C.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 08 Jan 2010 04:36:01 +0100

=== templates/debian/changelog ===
someproject (1.2.3-4) UNRELEASED; urgency=low

  * NOT RELEASED YET
  * a set of examples for module packages

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 03:31:56 +0200

## module-assistant 0.11.3

=== debian/changelog ===
module-assistant (0.11.3) unstable; urgency=low

  * New upstream release.
  * Add modass/check-known-packages.sh to monitor module-related sources
    within suites. It takes an optional parameter, which controls where to
    keep a copy of the summary, if any.
  * Remove obsolete packages from compliant.list accordingly:
     - affix-source
     - arla-modules-source
     - at76c503a-source
     - bcm4400-source
     - cipe-source
     - cryptoapi-core-source
     - cryptoloop-source
     - dazuko-source
     - ddrmat-source
     - drbd8-module-source
     - dvb-driver-source
     - e100-source
     - eagle-usb-modules-source
     - ftape-source
     - ftpfs-src
     - fuse-source
     - fwatch-modules-src
     - hostap-source
     - hubcot-source
     - i2c-source
     - ieee80211-source
     - ipw2100-source
     - ipw2200-source
     - linux-uvc-source
     - lm-sensors-source
     - loop-aes-ciphers-source
     - lufs-source
     - misdn-kernel-source
     - nozomi-source
     - ov511-source
     - plex86-kernel-src
     - ppscsi-source
     - qla2x00-source
     - realtime-lsm-source
     - shfs-source
     - spca5xx-source (Closes: #518144)
     - thinkpad-source
     - tidev-modules-source
     - translucency-source
     - tun-source
     - unicorn-source
     - unionfs-source
     - userlink-source
     - vaiostat-source
     - video4linux-nw802-source
     - wacom-kernel-source
     - xdslusb-source
     - xlibmesa-drm-src
  * Add nvidia-kernel-legacy-173xx-source to compliant.list, as suggested
    by Krzesimir Nowak (Closes: #525061).
  * Add support for recent kernels with utsrelease.h under
    include/generated/, thanks to Benoît Wallecan for both report and
    patch (Closes: #566487).
  * As for the related Linux changes:
     - See #561569 reported against kernel-package, which in turn points
       to 9204595405 in linux-2.6.git, for compile.h
     - For utsrelease.h (the problem at hand here), that's 273b281fa2
       aka. v2.6.32-6501-g273b281.
  * Bottom line: One probably wants to upgrade to this version if support
    for versions newer than 2.6.32 is needed.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 27 Jan 2010 02:22:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: module-assistant
-Section: misc
+Section: kernel
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper (>= 7), bzip2, gettext
+Build-Depends: debhelper (>= 7), bzip2, gettext, docbook-utils
 Standards-Version: 3.8.1
 Vcs-Git: git://git.debian.org/git/collab-maint/module-assistant.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/module-assistant.git
 
 Package: module-assistant
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libtext-wrapi18n-perl
+Depends: ${misc:Depends}, ${perl:Depends}, libtext-wrapi18n-perl, bzip2
 Recommends: liblocale-gettext-perl
 Suggests: build-essential, dialog | whiptail
 Description: tool to make module package creation easier

## module-assistant 0.11.3ubuntu1

=== Makefile ===
#!/usr/bin/make -f

SGML_SOURCE=module-assistant.8.sgml
MANPAGE=module-assistant.8
HTMLDOC=index.html

all: doc
	$(MAKE) -C po

doc: $(MANPAGE) $(HTMLDOC)

$(MANPAGE): $(SGML_SOURCE)
	docbook2man $(SGML_SOURCE)
	rm -f manpage.links manpage.refs

$(HTMLDOC): $(SGML_SOURCE)
	docbook2html $(SGML_SOURCE)
	rm -f manpage.links manpage.refs

install:
	mkdir -p $(DESTDIR)/usr/share
	cp -r modass $(DESTDIR)/usr/share
	mkdir $(DESTDIR)/var/cache/modass -p
	$(MAKE) -C po install DESTDIR=$(DESTDIR)

clean:
	$(MAKE) -C po clean
	rm -f manpage.*
	rm -f $(MANPAGE) $(HTMLDOC)

=== debian/changelog ===
module-assistant (0.11.3ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes: LP: #594668
    - fglrx-kernel-src -> fglrx-kernel-source.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 15 Jun 2010 20:25:17 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: module-assistant
 Section: kernel
 Priority: optional
-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper (>= 7), bzip2, gettext, docbook-utils
 Standards-Version: 3.8.1

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 
 # Make sure not to generate manpages with a non-C locale date format:
-export LANG=C
+export LC_ALL=C
 
 
-prepare-changelog: LAST=$(shell git describe | sed 's/-.*//')
+prepare-changelog: LAST?=$(shell git describe | sed 's/-.*//')
 prepare-changelog: BRANCH=$(shell git branch | grep '^*' | awk '{print $$2}')
 prepare-changelog:
 	# Make sure git-buildpackage is installed (ensures git-core is, too):
@@ -71,9 +71,6 @@
 	# Build the templates tarball:
 	tar cfj templates-debian-dir.tar.bz2 templates
 
-	# Build the translations:
-	$(MAKE) -C po
-
 	touch build-stamp
 
 
@@ -83,22 +80,10 @@
 	# Clean the tarball:
 	rm -rf templates-debian-dir.tar.bz2
 
-	# Clean the translations:
-	$(MAKE) -C po clean
-
 
 install: build install-stamp
 install-stamp:
-	# Skip auto-installing (kind of buggy toplevel Makefile):
-	dh install --before dh_auto_install
-	dh install --after  dh_auto_install
-
-	# Changelog trick:
-	dpkg-parsechangelog >> debian/module-assistant/usr/bin/module-assistant
-
-	# Install translations:
-	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/module-assistant
-
+	dh install
 	touch install-stamp

## module-assistant 0.11.4

=== debian/changelog ===
module-assistant (0.11.4) unstable; urgency=low

  * New upstream release
  * Removed Cyril from Uploaders list as requested, many thanks for the past
    maintenance work
  * Handle Linux 3.x version scheme (closes: #630836)
  * Updated standards version (no changes required)
  * Fixing minor flaws (postrm handling, French manpage format error)
  * Correcting some German translation mistakes (closes: #406342)
  * Restored the original a-i behavior without any package specification, not
    attempting to build everything (closes: #539195). Also allowed to override
    default apt-get command name with a custom command in MA_APTCMD
    environment variable, and added sleep periods to give the use more chance
    to terminate unexpectedly large operations.

 -- Eduard Bloch <blade@debian.org>  Wed, 29 Jun 2011 22:26:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: module-assistant
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
-Uploaders: Cyril Brulebois <kibi@debian.org>
+Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 7), bzip2, gettext, docbook-utils
-Standards-Version: 3.8.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/module-assistant.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/module-assistant.git

## module-assistant 0.11.5

=== debian/changelog ===
module-assistant (0.11.5) unstable; urgency=low

  [ David Kalnischkies ]
  * try to open new (Linux >= 3.7) location for version.h aswell
    as the old location(s), thanks to Evgeni Golov (Closes: #697269, #702648)
  * fix xgettext 'invalid variable interpolation at "$"' error in
    strings, thanks to Stefan Lippers-Hollmann (also in #697269)
  * add Portuguese translation by Américo Monteiro (Closes: #591421)
  * change from (implicit) source format v1 to v3 (native)
  * fix "useful"-typo in manpage (found by lintian)
  * bump Standards-Version to 3.9.4 (no changes needed)
  * remove \w from the dpkg-deb matching regex as utf-8 characters
    like "»«" 'qualify' as such so that m-a isn't extracting the path
    correctly: The regex is now '[^./]' to eat everything as needed.

  [ Andreas Beckmann ]
  * Package description reviewed, thanks to Justin B Rye.  (Closes: #679099)
  * Update compliant.list:
    - acx100-source
    + broadcom-sta-source  (Closes: #673782)
    - cpad-kernel-source
    + dahdi-source  (Closes: #641857)
    - drbd0.7-module-source
    - em8300-source
    - exmap-modules-source
    - fglrx-kernel-src
    + fglrx-legacy-source  (Closes: #697436)
    + fglrx-source  (Closes: #673411)
    - freeswan-modules-source
    - gpib-modules-source
    + ipset-source  (Closes: #624737)
    - ivtv-source
    - kqemu-source
    + leds-alix-source
    + lustre-source
    - madwifi-source
    + openvswitch-datapath-source
    + oss4-source
    - rt2400-source
    - rt2500-source
    - rt2570-source
    - squashfs-source
    + tp-smapi-source
    + v4l2loopback-source
    + virtualbox-guest-source
    + virtualbox-source
    + vpb-driver-source
    + west-chamber-source
    + xtables-addons-source
    - zaptel-source (renamed to dahdi-source)
  * Remove support for pcmcia-source, not in squeeze or later.
  * Remove support for compilers that have not been in squeeze or later.
  * Sanitize postrm.
  * Use canonical Vcs-* URLs.
  * Clean old builddir before extracting tarball.  (Closes: #481107, #553464)
  * Honour ACLs when checking writability of --userdir <dir>, thanks to
    Quentin Godfroy.  (Closes: #451721)

  [ Eduard Bloch ]
  * Add David and Andreas as co-maintainers.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 May 2013 22:03:55 +0200

=== debian/control ===
Source: module-assistant
Section: kernel
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: David Kalnischkies <kalnischkies@gmail.com>, Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper (>= 7), bzip2, gettext, docbook-utils
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/module-assistant.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/module-assistant.git

Package: module-assistant
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libtext-wrapi18n-perl, bzip2
Recommends: liblocale-gettext-perl
Suggests: build-essential, dialog | whiptail
Description: tool to make module package creation easier
 The module-assistant tool (also known as m-a) helps users and maintainers
 with managing external Linux kernel modules packaged for Debian. It can
 do:
 .
  * automated preparation of build environment for module compilation
    (e.g. automatic detection and installation of required kernel
    source/headers);
  * automated module source downloads;
  * configuration and tracking of external and locally built modules
    packages;
  * semi-automated multiple builds for multiple kernel versions;
 .
 It also contains some infrastructure to be used by the build-scripts in the
 accompanying modules-source packages in Debian.

## module-assistant 0.11.6~bpo60+1

=== debian/changelog ===
module-assistant (0.11.6~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Jul 2013 13:22:01 +0200

module-assistant (0.11.6) unstable; urgency=low

  * If --userdir is given, additionally look for tarballs in
    <userdir>/usr_src/.
  * Add "-kernel" to the list of tarball pre-suffixes.
  * Update compliant.list:
    + nvidia-legacy-173xx-kernel-source
    + nvidia-legacy-304xx-kernel-source
    + nvidia-legacy-96xx-kernel-source
    + nvidia-kernel-source
  * Add Depends: xz-utils.
  * Add support for .tar.xz source tarballs.  (Closes: #710034)
    Users of this feature should add Breaks: module-assistant (<< 0.11.6~).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Jul 2013 20:09:25 +0200

## module-assistant 0.11.6~bpo70+1

=== debian/changelog ===
module-assistant (0.11.6~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Jul 2013 13:04:06 +0200

## module-assistant 0.11.6

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: module-assistant
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libtext-wrapi18n-perl, bzip2
+Depends: ${misc:Depends}, ${perl:Depends}, libtext-wrapi18n-perl, bzip2, xz-utils
 Recommends: liblocale-gettext-perl
 Suggests: build-essential, dialog | whiptail
 Description: tool to make module package creation easier

=== templates/debian/control ===
Source: someproject
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 4.0.0), bzip2
Standards-Version: 3.6.1

Package: someproject-utils
Architecture: any
Recommends: someproject-source
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: someproject that does something - management tools
 The someproject driver provides ... for the Linux
 kernel...
 .
 This package contains utilities needed to configure the someproject
 drivers.

Package: someproject-source
Architecture: all
Depends: module-assistant, bzip2, debhelper (>= 5.0.37)
Suggests: someproject-utils
Description: source for the someproject driver
 The someproject driver provides ... for the Linux
 kernel...
 .
 .
 This package contains the module source. The kernel driver can be built from
 it using module-assistant or make-kpkg.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Make sure not to generate manpages with a non-C locale date format:
 export LC_ALL=C
 
+#export DH_VERBOSE=1
 
 prepare-changelog: LAST?=$(shell git describe | sed 's/-.*//')
 prepare-changelog: BRANCH=$(shell git branch | grep '^*' | awk '{print $$2}')
@@ -18,9 +19,9 @@
 	git dch --debian-branch=$(BRANCH) --since=$(LAST)
 
 
-source-package: PACKAGE=module-assistant
-source-package: VERSION=$(shell dpkg-parsechangelog | grep ^Version: | awk '{print $$2}')
-source-package:
+git-build: PACKAGE=module-assistant
+git-build: VERSION=$(shell dpkg-parsechangelog | grep ^Version: | awk '{print $$2}')
+git-build:
 	# Make sure git-core is installed:
 	@if [ -z "$(shell which git)" ] ; then \
 		echo "E: git-core isn't installed, needed for this target." ; \
@@ -37,10 +38,21 @@
 		rm -rf $(PACKAGE)-$(VERSION) && \
 		tar xfz $(PACKAGE)_$(VERSION).tar.gz && \
 		cd $(PACKAGE)-$(VERSION) && \
-		debuild -us -uc -S && \
+		debuild $(DEBUILDFLAGS) && \
 		cd .. && \
 		rm -rf $(PACKAGE)-$(VERSION)
 
+source-package: DEBUILDFLAGS=-us -uc -S
+source-package: git-build
+
+binary-package: git-build
+
+git-release: git-build pristine-tar-commit
+
+.NOTPARALLEL: 
+# keep the order above. Could use
+# $(MAKE) -f $(lastword $(MAKEFILE_LIST)) pristine-tar-commit
+# instead but this is easier and speed is hardly an issue
 
 pristine-tar-commit: PACKAGE=module-assistant
 pristine-tar-commit: VERSION=$(shell dpkg-parsechangelog | grep ^Version: | awk '{print $$2}')
@@ -65,14 +77,16 @@
 
 
 build: build-stamp
-build-stamp:
+build-stamp: build-indep
+	touch build-stamp
+
+build-indep:
 	dh build
-
 	# Build the templates tarball:
 	tar cfj templates-debian-dir.tar.bz2 templates
 
-	touch build-stamp
-
+build-arch:
+	# Nothing arch specific
 
 clean:
 	dh clean
@@ -96,3 +110,4 @@
 
 
 binary: binary-arch binary-indep
+

## module-assistant 0.11.7

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,9 @@
 	rm -f manpage.links manpage.refs
 
 install:
+	mkdir -p $(DESTDIR)/usr/bin
+	cp -a module-assistant $(DESTDIR)/usr/bin
+	ln -sf module-assistant $(DESTDIR)/usr/bin/m-a
 	mkdir -p $(DESTDIR)/usr/share
 	cp -r modass $(DESTDIR)/usr/share
 	mkdir $(DESTDIR)/var/cache/modass -p

=== debian/changelog ===
module-assistant (0.11.7) unstable; urgency=low

  * d/rules: pristine-tar-commit: Apply s/~/_/ when converting version to tag.
  * Fix most hyphen-used-as-minus-sign in the manpage.
  * Remove support for compilers that have been removed after squeeze.
  * Add Build-Depends: docbook.  (Closes: #744819)
  * Update compliant.list:
    - acerhk-source
    - alsa-source  (Closes: #699858)
    + bbswitch-source
    - bcm5700-source
    - cdfs-src
    - comedi-source
    - ipset-source
    - linux-wlan-ng-source
    - lirc-modules-source
    - loop-aes-source
    - lustre-source
    - qc-usb-source
    - sysprof-module-source
    - virtualbox-ose-source
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Do not call tput in non-gui sessions, thanks to Francois Marier.
    (Closes: #459977) (LP: #284181)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 10:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders: David Kalnischkies <kalnischkies@gmail.com>, Andreas Beckmann <anbe@debian.org>
-Build-Depends: debhelper (>= 7), bzip2, gettext, docbook-utils
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7), bzip2, gettext, docbook-utils, docbook
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/module-assistant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/module-assistant.git

=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	fi
 
 	# Commit the tarball:
-	pristine-tar commit $(TARBALL) $(VERSION)
+	pristine-tar commit $(TARBALL) $(subst ~,_,$(VERSION))
 
 
 build: build-stamp

## module-assistant 0.11.8

=== debian/changelog ===
module-assistant (0.11.8) unstable; urgency=medium

  * Switch to debhelper compat level 9 and simplify d/rules.
  * Create examples tarball reproducibly.
  * Update compliant.list:
    + martian-modem-source
    - nvidia-legacy-173xx-kernel-source
    - nvidia-legacy-96xx-kernel-source
    - nvidia-kernel-legacy-173xx-source
    - nvidia-kernel-legacy-71xx-source
    - nvidia-kernel-legacy-96xx-source
    + nvidia-legacy-340xx-kernel-source
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Update Vcs-* URLs.
  * Use dh_bash-completion to install completions in /usr/share.
  * Cleanup the old conffile /etc/bash_completion.d/m-a.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Sep 2015 03:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,15 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders: David Kalnischkies <kalnischkies@gmail.com>, Andreas Beckmann <anbe@debian.org>
-Build-Depends: debhelper (>= 7), bzip2, gettext, docbook-utils, docbook
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+ bzip2,
+ gettext,
+ docbook-utils,
+ docbook,
+ bash-completion (>= 1:2.1-4.2~),
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/module-assistant.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/module-assistant.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/module-assistant.git
 
 Package: module-assistant
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
+#export DH_VERBOSE=1
 
 # Make sure not to generate manpages with a non-C locale date format:
 export LC_ALL=C
-
-#export DH_VERBOSE=1
 
 prepare-changelog: LAST?=$(shell git describe | sed 's/-.*//')
 prepare-changelog: BRANCH=$(shell git branch | grep '^*' | awk '{print $$2}')
@@ -75,39 +74,17 @@
 	# Commit the tarball:
 	pristine-tar commit $(TARBALL) $(subst ~,_,$(VERSION))
 
+############################################################################
 
-build: build-stamp
-build-stamp: build-indep
-	touch build-stamp
+%:
+	dh $@ --with bash-completion
 
-build-indep:
-	dh build
+override_dh_auto_build:
+	dh_auto_build
 	# Build the templates tarball:
-	tar cfj templates-debian-dir.tar.bz2 templates
+	tar cfj templates-debian-dir.tar.bz2 --owner=root --group=root --mode=go=rX,u+rw,a-s templates
 
-build-arch:
-	# Nothing arch specific
-
-clean:
-	dh clean
-
+override_dh_auto_clean:
+	dh_auto_clean
 	# Clean the tarball:
 	rm -rf templates-debian-dir.tar.bz2
-
-
-install: build install-stamp
-install-stamp:
-	dh install
-	touch install-stamp
-
-
-binary-arch: install
-	dh binary-arch
-
-
-binary-indep: install
-	dh binary-indep
-
-
-binary: binary-arch binary-indep
-

## module-assistant 0.11.9

=== po/Makefile ===
#!/usr/bin/make -f

# Let's use wildcards instead of listing in extenso:
POFILES = $(wildcard *.po)
MOFILES = $(POFILES:.po=.mo)
LANGS   = $(POFILES:.po=)
localedir=/usr/share/locale

all: $(MOFILES)

messages.pot: ../module-assistant
	xgettext -L perl ../module-assistant -o $@

%.mo: %.po
	msgfmt --statistics $< -o $@

%.po: messages.pot
	msgmerge -U $@ messages.pot
	# msgmerge doesn't update the timestamp if the file
	# is up to date already:
	touch $@

clean:
	rm -f *~ *.mo

install: $(MOFILES)
	for lang in $(LANGS); do \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  install -d $(DESTDIR)$$dir; \
	  install -m 644 $$lang.mo $(DESTDIR)$$dir/module-assistant.mo; \
	done

=== debian/changelog ===
module-assistant (0.11.9) unstable; urgency=low

  * When debian/rules is called without frontend, try to get information from
    include/generated/utsrelease.h as well
  * In generic.sh, rename the internal override variable $BUILDDIR to avoid
    confusion by environments like pbuilder shell
  * Also considering tar.lzma extension in tarball lookup
  * Don't attempt to install linux headers if they have been configured by the
    user via command line option (closes: #437466)
  * Mark module packages as auto-installed (by David Kalnischkies,
    closes: #829595)

 -- Eduard Bloch <blade@debian.org>  Sat, 03 Sep 2016 20:02:21 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  docbook-utils,
  docbook,
  bash-completion (>= 1:2.1-4.2~),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/module-assistant.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/module-assistant.git

## module-assistant 0.11.10

=== debian/changelog ===
module-assistant (0.11.10) unstable; urgency=medium

  * Switch Vcs-* URLs to salsa.debian.org.
  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Create the template tarball reproducibly, thanks to Reiner Herrmann.
    (Closes: #828778)
  * Convert debian/copyright to DEP5 format.
  * Use dpkg makefile snippets instead of manual changelog parsing.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Apr 2018 01:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders: David Kalnischkies <kalnischkies@gmail.com>, Andreas Beckmann <anbe@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
  bzip2,
  gettext,
  docbook-utils,
  docbook,
  bash-completion (>= 1:2.1-4.2~),
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/module-assistant.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/module-assistant.git
+ tar (>= 1.28),
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/module-assistant
+Vcs-Git: https://salsa.debian.org/debian/module-assistant.git
 
 Package: module-assistant
 Architecture: all

=== templates/debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends: debhelper (>= 4.0.0), bzip2
-Standards-Version: 3.6.1
+Build-Depends:
+ debhelper (>= 11),
+ bzip2,
+Standards-Version: 4.1.4
 
 Package: someproject-utils
 Architecture: any
@@ -18,7 +20,10 @@
 
 Package: someproject-source
 Architecture: all
-Depends: module-assistant, bzip2, debhelper (>= 5.0.37)
+Depends:
+ module-assistant,
+ bzip2,
+ debhelper (>= 11),
 Suggests: someproject-utils
 Description: source for the someproject driver
  The someproject driver provides ... for the Linux

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 # Make sure not to generate manpages with a non-C locale date format:
 export LC_ALL=C
@@ -19,7 +21,7 @@
 
 
 git-build: PACKAGE=module-assistant
-git-build: VERSION=$(shell dpkg-parsechangelog | grep ^Version: | awk '{print $$2}')
+git-build: VERSION=$(DEB_VERSION)
 git-build:
 	# Make sure git-core is installed:
 	@if [ -z "$(shell which git)" ] ; then \
@@ -48,13 +50,13 @@
 
 git-release: git-build pristine-tar-commit
 
-.NOTPARALLEL: 
+.NOTPARALLEL:
 # keep the order above. Could use
 # $(MAKE) -f $(lastword $(MAKEFILE_LIST)) pristine-tar-commit
 # instead but this is easier and speed is hardly an issue
 
 pristine-tar-commit: PACKAGE=module-assistant
-pristine-tar-commit: VERSION=$(shell dpkg-parsechangelog | grep ^Version: | awk '{print $$2}')
+pristine-tar-commit: VERSION=$(DEB_VERSION)
 pristine-tar-commit: TARBALL=../$(PACKAGE)_$(VERSION).tar.gz
 pristine-tar-commit: BRANCH=$(shell git branch | grep '^*' | awk '{print $$2}')
 pristine-tar-commit:
@@ -82,7 +84,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	# Build the templates tarball:
-	tar cfj templates-debian-dir.tar.bz2 --owner=root --group=root --mode=go=rX,u+rw,a-s templates
+	tar cfj templates-debian-dir.tar.bz2 --sort=name --owner=root --group=root --mode=go=rX,u+rw,a-s templates
 
 override_dh_auto_clean:
 	dh_auto_clean

=== templates/debian/rules ===
--- 
+++ 
@@ -99,8 +99,8 @@
 	dh_installchangelogs
 	dh_compress
 	dh_fixperms
+	dh_installmodules
 	dh_installdeb
-	dh_installmodules
 	dh_gencontrol -- -v$(VERSION)
 	dh_md5sums
 	dh_builddeb --destdir=$(DEB_DESTDIR)

## module-assistant 0.11.10+nmu1

=== debian/changelog ===
module-assistant (0.11.10+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:05:21 +0800

## module-assistant 0.11.11

=== debian/changelog ===
module-assistant (0.11.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * Use my @debian.org address in Uploaders.
  * Update compliant.list.

  [ Andreas Beckmann ]
  * Switch to debhelper-compat (= 13).
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Switch to dh-sequence-bash-completion.
  * Try to get CC from $(KSRC)/.kernelvariables.
  * Add module-assistant-autopkgtest script.
  * Ship the template debian directory untarred.
  * Modernize the templates.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Sep 2022 19:13:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,35 @@
 Section: kernel
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Uploaders: David Kalnischkies <kalnischkies@gmail.com>, Andreas Beckmann <anbe@debian.org>
-Build-Depends: debhelper (>= 11),
- bzip2,
+Uploaders:
+ David Kalnischkies <donkult@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-bash-completion,
  gettext,
+ docbook,
  docbook-utils,
- docbook,
- bash-completion (>= 1:2.1-4.2~),
- tar (>= 1.28),
-Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/module-assistant
 Vcs-Git: https://salsa.debian.org/debian/module-assistant.git
 
 Package: module-assistant
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libtext-wrapi18n-perl, bzip2, xz-utils
-Recommends: liblocale-gettext-perl
-Suggests: build-essential, dialog | whiptail
+Depends:
+ libtext-wrapi18n-perl,
+ bzip2,
+ xz-utils,
+ ${perl:Depends},
+ ${misc:Depends},
+Recommends:
+ liblocale-gettext-perl,
+Suggests:
+ build-essential,
+ dialog | whiptail,
+Provides:
+ module-assistant-autopkgtest,
 Description: tool to make module package creation easier
  The module-assistant tool (also known as m-a) helps users and maintainers
  with managing external Linux kernel modules packaged for Debian. It can

=== templates/debian/control ===
Source: someproject
Section: kernel
Priority: optional
Maintainer: Some Maintainer <s.maintainer@example.org>
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://www.example.org/someproject

Package: someproject-utils
Section: misc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 someproject-source,
Description: someproject that does something - management tools
 The someproject driver provides ... for the Linux
 kernel...
 .
 This package contains utilities needed to configure the someproject
 drivers.

Package: someproject-source
Architecture: all
Multi-Arch: foreign
Depends:
 debhelper-compat (= 13),
 module-assistant,
Suggests:
 someproject-utils,
Description: source for the someproject driver
 The someproject driver provides ... for the Linux
 kernel...
 .
 This package contains the module source. The kernel driver can be built from
 it using module-assistant.

=== templates/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

MODULE		 = someproject
MODSRCPKG	 = $(MODULE)-source

%:
	dh $@

execute_after_dh_install:
	dh_installdirs -p$(MODSRCPKG) usr/src/modules/$(MODULE)/debian
# Install the module source.
	tar c -v --exclude '.git' --exclude '.svn' --exclude 'CVS' --exclude 'debian' . | \
		tar x -C debian/$(MODSRCPKG)/usr/src/modules/$(MODULE)
# Install the debian directory into the module source.
	dh_install -p$(MODSRCPKG) debian/copyright debian/changelog debian/modules/* usr/src/modules/$(MODULE)/debian/
# Pack the module source.
	tar c \
		-C debian/$(MODSRCPKG)/usr/src \
		--owner=root --group=root \
		--mode=a=rX,u+w \
		--sort=name \
		--mtime='@$(SOURCE_DATE_EPOCH)' \
		--clamp-mtime \
		modules | xz -9 > debian/$(MODSRCPKG)/usr/src/$(MODULE).tar.xz
	tar tfv debian/$(MODSRCPKG)/usr/src/$(MODULE).tar.xz
	$(RM) -r debian/$(MODSRCPKG)/usr/src/modules

## module-assistant 0.11.11ubuntu1

=== debian/changelog ===
module-assistant (0.11.11ubuntu1) mantic; urgency=medium

  * Allow packages to migrate when only dkms autopktest passes.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 26 Jul 2023 10:48:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: module-assistant
 Section: kernel
 Priority: optional
-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders:
  David Kalnischkies <donkult@debian.org>,
  Andreas Beckmann <anbe@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -79,14 +79,4 @@
 ############################################################################
 
 %:
-	dh $@ --with bash-completion
-
-override_dh_auto_build:
-	dh_auto_build
-	# Build the templates tarball:
-	tar cfj templates-debian-dir.tar.bz2 --sort=name --owner=root --group=root --mode=go=rX,u+rw,a-s templates
-
-override_dh_auto_clean:
-	dh_auto_clean
-	# Clean the tarball:
-	rm -rf templates-debian-dir.tar.bz2
+	dh $@

## module-assistant 0.11.13

=== debian/changelog ===
module-assistant (0.11.13) unstable; urgency=medium

  * Modernize the template.
  * module-assistant-autopkgtest: Skip test (exit 0) on i386 (no more kernels
    or headers).
  * module-assistant-autopkgtest: Skip test (exit 77) if no linux-headers-*
    seem to exist.
  * Document 'unpack' in module-assistant(8), thanks to Kevin Locke.
    (Closes: #951084)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2025 13:56:37 +0100

module-assistant (0.11.12.1) unstable; urgency=medium

  * Ship /var/cache/modass again.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Jan 2025 16:42:41 +0100

module-assistant (0.11.12) unstable; urgency=medium

  [ Stephen Kitt ]
  * Disable printing directories for show-CC.  (Closes: #1091181)

  [ Andreas Beckmann ]
  * Switch to dh --without single-binary.
  * module-assistant-autopkgtest: Ignore module build errors on Ubuntu.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update compliant.list:
    - ndiswrapper-source
    - nvidia-tesla-450-kernel-source
    - nvidia-tesla-460-kernel-source
    - nvidia-tesla-510-kernel-source
    + nvidia-tesla-535-kernel-source
    + osmocom-dahdi-source
    - rtai-source

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jan 2025 03:54:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: module-assistant
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders:
  David Kalnischkies <donkult@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
@@ -13,7 +12,7 @@
  docbook,
  docbook-utils,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/module-assistant
 Vcs-Git: https://salsa.debian.org/debian/module-assistant.git

=== templates/debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://www.example.org/someproject
 
 Package: someproject-utils
@@ -29,6 +29,7 @@
 Depends:
  debhelper-compat (= 13),
  module-assistant,
+ ${misc:Depends},
 Suggests:
  someproject-utils,
 Description: source for the someproject driver
